Summary:	Mandrakegalaxy
Name:		mandrakegalaxy	
Version:	10.0
Release:	13mdk
Epoch:		2
License:	GPL
URL:		http://www.mandrakelinux.com/
Group:		System/Configuration/Other

# get the source from our cvs repository (see
# http://www.mandrakelinux.com/en/cvs.php3)
# no extra source or patch are allowed here.
Source:			mandrakegalaxy-%version.tar.bz2

BuildRoot:		%_tmppath/%name-%release-root
BuildRequires:	XFree86-devel
BuildRequires:	libarts-devel
BuildRequires:	fam-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	qt3-devel
BuildRequires:	zlib-devel

Group:		Graphical desktop/KDE
Requires:	kdelibs, xinitrc >= 2.4.4-72mdk
Obsoletes:	mandrake-galaxy
Provides:	mandrake-galaxy

%description
This package displays an html file allowing users to launch browsers to
other html pages (Mandrakelinux Web sites or local html documentation) or to
launch Mandrakelinux applications such as the Mandrakelinux Control Center.

%prep

%setup -q

%build
make -f admin/Makefile.common

%{?__cputoolize: %{__cputoolize} }

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

	./configure \
        --prefix=%_prefix \
		--libdir=%_libdir \
        --enable-final \
		--disable-debug \
		--with-xinerama \
		--disable-rpath

%make

%install
rm -rf %buildroot

%makeinstall_std
# Bad hack - Tired
chmod 0755 %buildroot/%_bindir/*

install -d -m 0755 %buildroot/%_iconsdir/
install -m 0644 $RPM_BUILD_DIR/mandrakegalaxy-%version/mdkhtmlbrowser/mandrakegalaxy.png %buildroot/%_iconsdir/

install -d -m 0755 %buildroot/%_datadir/nautilus/default-desktop/
install -m 0644 $RPM_BUILD_DIR/mandrakegalaxy-%version/mdkhtmlbrowser/Welcome.desktop %buildroot/%_datadir/nautilus/default-desktop/

install -d -m 0755 %buildroot/%_datadir/apps/kdesktop/DesktopLinks/
install -m 0644 $RPM_BUILD_DIR/mandrakegalaxy-%version/mdkhtmlbrowser/Welcome.desktop %buildroot/%_datadir/apps/kdesktop/DesktopLinks/

install -d -m 0755 %buildroot/%_datadir/mdk/mandrakegalaxy/
install -m 0644 $RPM_BUILD_DIR/mandrakegalaxy-%version/mdkhtmlbrowser/doc.png %buildroot/%_datadir/mdk/mandrakegalaxy/
install -m 0644 $RPM_BUILD_DIR/mandrakegalaxy-%version/mdkhtmlbrowser/mcc.png %buildroot/%_datadir/mdk/mandrakegalaxy/
install -m 0644 $RPM_BUILD_DIR/mandrakegalaxy-%version/mdkhtmlbrowser/mdkclub.png %buildroot/%_datadir/mdk/mandrakegalaxy/
install -m 0644 $RPM_BUILD_DIR/mandrakegalaxy-%version/mdkhtmlbrowser/mdkexpert.png %buildroot/%_datadir/mdk/mandrakegalaxy/
install -m 0644 $RPM_BUILD_DIR/mandrakegalaxy-%version/mdkhtmlbrowser/mdksoft.png %buildroot/%_datadir/mdk/mandrakegalaxy/
install -m 0644 $RPM_BUILD_DIR/mandrakegalaxy-%version/mdkhtmlbrowser/mdkstore.png %buildroot/%_datadir/mdk/mandrakegalaxy/


%find_lang mandrakegalaxy

%post 
if [ -r /etc/sysconfig/i18n ] ; then
    . /etc/sysconfig/i18n
    if [ -n "$LANGUAGE" ]; then
        LISTLANG="`echo $LANGUAGE | tr ':' ' '`" ;
    else
        if [ -n "$LANG" ]; then
            LISTLANG="$LANG"
        else
            LISTLANG=en
        fi
    fi
else
    LISTLANG=en
fi

for i in $LISTLANG
do
    if [ -r %_datadir/mdk/mandrakegalaxy/mdkgalaxy-$i.html ]; then
        cat %_datadir/mdk/mandrakegalaxy/mdkgalaxy-$i.html > \
            %_datadir/mdk/mandrakegalaxy/mdkgalaxy.html
        break
    else
        lang=`echo $i | cut -b-2`
        if [ -r %_datadir/mdk/mandrakegalaxy/mdkgalaxy-$lang.html ]; then
            cat %_datadir/mdk/mandrakegalaxy/mdkgalaxy-$lang.html > \
                %_datadir/mdk/mandrakegalaxy/mdkgalaxy.html
            break;

        fi
    fi
done

if [ ! -r %_datadir/mdk/mandrakegalaxy/mdkgalaxy.html ]; then
    cat %_datadir/mdk/mandrakegalaxy/mdkgalaxy-en.html > \
        %_datadir/mdk/mandrakegalaxy/mdkgalaxy.html
fi

%postun

%preun
if [ $1 = 0 ]; then
    rm -f %_datadir/mdk/mandrakegalaxy/mdkgalaxy.html
fi

%clean
rm -fr %buildroot


%files -f mandrakegalaxy.lang
%defattr(-,root,root)
#
%_bindir/*

%_datadir/autostart/*.desktop
#
%_datadir/applnk/Applications/*.desktop
%dir %_datadir/mdk/
%dir %_datadir/mdk/mandrakegalaxy/
%_datadir/mdk/mandrakegalaxy/*.html
%_datadir/mdk/mandrakegalaxy/*.png
%config(noreplace) %{_sysconfdir}/X11/xinit.d/mandrakegalaxy
#
%_iconsdir/*.png
#%_iconsdir/large/*.png

%_datadir/nautilus/default-desktop/*.desktop
%_datadir/apps/kdesktop/DesktopLinks/*.desktop

%_iconsdir/crystalsvg/128x128/apps/mandrakegalaxy.png
%_iconsdir/crystalsvg/16x16/apps/mandrakegalaxy.png
%_iconsdir/crystalsvg/32x32/apps/mandrakegalaxy.png
%_iconsdir/crystalsvg/48x48/apps/mandrakegalaxy.png
%_iconsdir/crystalsvg/64x64/apps/mandrakegalaxy.png
			   


%changelog
* Fri Mar 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-13mdk
- Generate desktop file

* Wed Mar 10 2004 David Baudens <baudens@mandrakesoft.com> 10.0-12mdk
- Switch to Mandrakelinux & co

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-11mdk
- Update po file

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-10mdk
- Update po file

* Tue Feb 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-9mdk
- Fix close button use kstdguiitem

* Thu Feb 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-8mdk
- Update html page

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-7mdk
- Update po files

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-6mdk
- Fix mcc url

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-5mdk
- Use new image

* Fri Jan 23 2004 David Baudens <baudens@mandrakesoft.com> 10.0-4mdk
- New images

* Tue Jan 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-3mdk
- Fix use konqueror when "$BROWSER" is not initialised

* Tue Jan 13 2004 David Baudens <baudens@mandrakesoft.com> 10.0-2mdk
- Update english

* Tue Jan 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 10.0-1mdk
- Update po file

* Mon Dec 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-12mdk
- Update translation

* Tue Dec 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-11mdk
- Package specific mandrakemove

* Thu Nov 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-10mdk
- Fix load good html file use $LANGUAGE

* Thu Nov 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-9mdk
- Fix launch into kde

* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-8mdk
- Fix launch drakhelp

* Mon Sep 08 2003 David Baudens <baudens@mandrakesoft.com> 9.2-7mdk
- Upate some URL

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-6mdk
- Fix launch url appl

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-5mdk
- Fix spec file

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-4mdk
- Use drakhelp

* Fri Aug 29 2003 David Baudens <baudens@mandrakesoft.com> 9.2-3mdk
- Remove Safari
- Fix Control Center
- Reduce size

* Fri Aug 22 2003 David Baudens <baudens@mandrakesoft.com> 9.2-2mdk
- Update translations

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.2-1mdk
- Update po file

* Fri Aug 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-24mdk
- Fix source

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-23mdk
- Update message
- Fix size

* Wed Jun 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-22mdk
- Fix crash

* Mon Mar 17 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-21mdk
- Fix french Safari's translation

* Thu Mar 13 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-20mdk
- Fix french Safari's translation 

* Thu Mar 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-19mdk
- Display translations

* Wed Mar 12 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-18mdk
- Fix french translation

* Tue Mar 11 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-17mdk
- Enable safari
- Fix broken links (documentation)
- Update icon
- Fix size

* Thu Mar  6 2003 Frederic Lepied <flepied@mandrakesoft.com> 9.1-16mdk
- fix generation of the html file
- cleanup before removal
- Fix make rpm
- Fix spec file

* Wed Mar 05 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-15mdk
- Fix html pages
- Add languages

* Fri Feb 28 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-14mdk
- Fix mandrake-galaxy launch when .kde doesn't exist

* Fri Feb 28 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-13mdk
- Update translations
- Add icon and .desktop

* Wed Feb 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-12mdk
- Update code ( fix i18n catalogue )

* Tue Feb 25 2003 David BAUDENS <baudens@mandrakesoft.com> 9.1-11mdk
- Add translations

* Tue Feb 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-10mdk
- change mandrake-galaxy.html directory

* Tue Feb 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-9mdk
- Add Fred Crozat patch : test if it's necessary to launch mandrakegalaxy

* Tue Feb 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-8mdk
- Fix launch mandrake-galaxy under all WM

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-7mdk
- Fix default size

* Wed Feb 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-6mdk
- Don't launch it in root 

* Wed Feb 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-5mdk
- Fix description thanks to Buchan Milne <bgmilne@cae.co.za>

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-4mdk
- Fix caption

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-3mdk
- Fix qcheckbox

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-2mdk
- Fix mandrakegalaxy url

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-1mdk
- Initial package
